Subject: Re: [lemonade] Fwd: New Version Notification for draft-ncook-urlauth-accessid-00

From: Eric Burger <[email-masked]>
Date: Sun, 18 Jan 2009 16:39:09 -0500

Although this is not a Work Group document, WG documents depend on it.  
Any comments at all, or at least a few OK +1's?

Thanks.

On Dec 8, 2008, at 4:04 PM, Neil Cook wrote:

> Folks,
>
> I've created a draft to allow new IMAP URL <access> identifiers and  
> <access> identifier prefixes to be created.
>
> Please take a look, as the new streaming draft depends on this draft.
>
> Neil
>
> Begin forwarded message:
>
>> From: IETF I-D Submission Tool <[email-masked]>
>> Date: 8 December 2008 18:39:40 GMT
>> To: [email-masked]
>> Subject: New Version Notification for draft-ncook-urlauth-accessid-00
>>
>>
>> A new version of I-D, draft-ncook-urlauth-accessid-00.txt has been  
>> successfuly submitted by Neil Cook and posted to the IETF repository.
>>
>> Filename:	 draft-ncook-urlauth-accessid
>> Revision:	 00
>> Title:		 Internet Message Access Protocol (IMAP) - URL Access  
>> Identifier Extension
>> Creation_date:	 2008-12-08
>> WG ID:		 Independent Submission
>> Number_of_pages: 9
>>
>> Abstract:
>> The existing IMAP URL specification (RFC5092) lists several <access>
>> identifiers and <access> identifier prefixes, that can be used to
>> restrict access to URLAUTH-generated URLs.  However, these
>> identifiers do not provide facilities for new services such as
>> streaming.  This document proposes a set of new <access> identifiers
>> as well as an IANA mechanism to register new <access> identifiers for
>> future applications.
>>
>>
>>
>> The IETF Secretariat.
>>
>
> _______________________________________________
> lemonade mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/lemonade
> Supplemental Web Site:
> http://www.standardstrack.com/ietf/lemonade

_______________________________________________
lemonade mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/lemonade
Supplemental Web Site:
http://www.standardstrack.com/ietf/lemonade

---

From: Anil SRIVASTAVA <[email-masked]>
Date: Sun, 18 Jan 2009 13:59:37 -0800

+1.

On Sun Jan 18 2009 13:39:09 GMT-0800 (PST), Eric Burger
<[email-masked]> wrote:

> ------------------------------------------------------------------------
> 

-- 
_______________
Anil SRIVASTAVA  |  [email-masked]  | Sun Microsystems, Inc
_______________________________________________
lemonade mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/lemonade
Supplemental Web Site:
http://www.standardstrack.com/ietf/lemonade

---

From: Arnt Gulbrandsen <[email-masked]>
Date: Mon, 19 Jan 2009 16:02:38 +0100

> Any comments at all, or at least a few OK +1's?

OK.

One comment: Section 3.3 says "the requirements are the same as ..." but 
then goes on to repeat them all. I'd prefer to leave out the repeated 
text, just so no unintentional differences sneak in.

Arnt

---

From: Neil Cook <[email-masked]>
Date: Mon, 19 Jan 2009 15:25:00 +0000

Arnt,

well I'm updating the doc at the moment, and I'm going to be including  
IANA definitions for the existing access identifiers anyway (as when  
establishing a new registry, you need all the existing definitions to  
be defined), so I think for clarity it might help to have the  
requirements/definitions as well - this doc will formally update the  
IMAPURL RFC.

Neil

On 19 Jan 2009, at 15:02, Arnt Gulbrandsen wrote:

> Eric Burger writes:
>> Although this is not a Work Group document, WG documents depend on  
>> it. Any comments at all, or at least a few OK +1's?
>
> OK.
>
> One comment: Section 3.3 says "the requirements are the same as ..."  
> but then goes on to repeat them all. I'd prefer to leave out the  
> repeated text, just so no unintentional differences sneak in.
>
> Arnt

---

From: Arnt Gulbrandsen <[email-masked]>
Date: Mon, 19 Jan 2009 16:29:25 +0100

Neil Cook writes:
>  establishing a new registry, you need all the existing definitions 
> to  be defined), so I think for clarity it might help to have the  

In that case, maybe you ought to say something like "these rules are 
meant to be a straightforward extension of the ones in the IMAPURL RFC, 
but if there's anydifference, these rules apply, not the older ones 
from IMAPURL"

Arnt

---

From: Neil Cook <[email-masked]>
Date: Mon, 19 Jan 2009 17:36:23 +0000

Sounds fine, will do something along those lines,

Neil

On 19 Jan 2009, at 15:29, Arnt Gulbrandsen wrote:

> Neil Cook writes:
>> well I'm updating the doc at the moment, and I'm going to be  
>> including  IANA definitions for the existing access identifiers  
>> anyway (as when  establishing a new registry, you need all the  
>> existing definitions to  be defined), so I think for clarity it  
>> might help to have the  requirements/definitions as well - this doc  
>> will formally update the  IMAPURL RFC.
>
> meant to be a straightforward extension of the ones in the IMAPURL  
> RFC, but if there's anydifference, these rules apply, not the older  
> ones from IMAPURL"
>
> Arnt